searchNodes=[{"doc":"Library to check password strength and generate random passwords. The NotQwerty123.PasswordStrength module provides checks that the password is not too easy to guess. These checks check that the password is long enough and that it is not similar to any common passwords. The NotQwerty123.RandomPassword module generates a random password with letters, digits and punctuation characters.","ref":"NotQwerty123.html","title":"NotQwerty123","type":"module"},{"doc":"","ref":"NotQwerty123.Gettext.html","title":"NotQwerty123.Gettext","type":"module"},{"doc":"Callback implementation for Gettext.Backend.dgettext/3 .","ref":"NotQwerty123.Gettext.html#dgettext/3","title":"NotQwerty123.Gettext.dgettext/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dgettext_noop/2 .","ref":"NotQwerty123.Gettext.html#dgettext_noop/2","title":"NotQwerty123.Gettext.dgettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dngettext/5 .","ref":"NotQwerty123.Gettext.html#dngettext/5","title":"NotQwerty123.Gettext.dngettext/5","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dngettext_noop/3 .","ref":"NotQwerty123.Gettext.html#dngettext_noop/3","title":"NotQwerty123.Gettext.dngettext_noop/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dpgettext/4 .","ref":"NotQwerty123.Gettext.html#dpgettext/4","title":"NotQwerty123.Gettext.dpgettext/4","type":"macro"},{"doc":"","ref":"NotQwerty123.Gettext.html#dpgettext_noop/3","title":"NotQwerty123.Gettext.dpgettext_noop/3","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.dpngettext/6 .","ref":"NotQwerty123.Gettext.html#dpngettext/6","title":"NotQwerty123.Gettext.dpngettext/6","type":"macro"},{"doc":"","ref":"NotQwerty123.Gettext.html#dpngettext_noop/4","title":"NotQwerty123.Gettext.dpngettext_noop/4","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext/2 .","ref":"NotQwerty123.Gettext.html#gettext/2","title":"NotQwerty123.Gettext.gettext/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext_comment/1 .","ref":"NotQwerty123.Gettext.html#gettext_comment/1","title":"NotQwerty123.Gettext.gettext_comment/1","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.gettext_noop/1 .","ref":"NotQwerty123.Gettext.html#gettext_noop/1","title":"NotQwerty123.Gettext.gettext_noop/1","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_bindings/2 .","ref":"NotQwerty123.Gettext.html#handle_missing_bindings/2","title":"NotQwerty123.Gettext.handle_missing_bindings/2","type":"function"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_plural_translation/6 .","ref":"NotQwerty123.Gettext.html#handle_missing_plural_translation/6","title":"NotQwerty123.Gettext.handle_missing_plural_translation/6","type":"function"},{"doc":"Callback implementation for Gettext.Backend.handle_missing_translation/4 .","ref":"NotQwerty123.Gettext.html#handle_missing_translation/4","title":"NotQwerty123.Gettext.handle_missing_translation/4","type":"function"},{"doc":"","ref":"NotQwerty123.Gettext.html#lgettext/5","title":"NotQwerty123.Gettext.lgettext/5","type":"function"},{"doc":"","ref":"NotQwerty123.Gettext.html#lngettext/7","title":"NotQwerty123.Gettext.lngettext/7","type":"function"},{"doc":"Callback implementation for Gettext.Backend.ngettext/4 .","ref":"NotQwerty123.Gettext.html#ngettext/4","title":"NotQwerty123.Gettext.ngettext/4","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.ngettext_noop/2 .","ref":"NotQwerty123.Gettext.html#ngettext_noop/2","title":"NotQwerty123.Gettext.ngettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.pgettext/3 .","ref":"NotQwerty123.Gettext.html#pgettext/3","title":"NotQwerty123.Gettext.pgettext/3","type":"macro"},{"doc":"","ref":"NotQwerty123.Gettext.html#pgettext_noop/2","title":"NotQwerty123.Gettext.pgettext_noop/2","type":"macro"},{"doc":"Callback implementation for Gettext.Backend.pngettext/5 .","ref":"NotQwerty123.Gettext.html#pngettext/5","title":"NotQwerty123.Gettext.pngettext/5","type":"macro"},{"doc":"","ref":"NotQwerty123.Gettext.html#pngettext_noop/3","title":"NotQwerty123.Gettext.pngettext_noop/3","type":"macro"},{"doc":"Module to check password strength. This module does not provide a password strength meter. Instead, it simply rejects passwords that are considered too weak. Depending on the nature of your application, a solid front end solution to password checking, such as this Dropbox implementation might be a better idea. Password strength In simple terms, password strength depends on how long a password is and how easy it is to guess it. In most cases, passwords should be at least 8 characters long, and they should not be similar to common passwords, like password or qwerty123 , or consist of repeated characters, like abcabcabcabc . Dictionary words, common names and user-specific words (company name, address, etc.) should also be avoided. Further information The NIST password guidelines . The Comeonin wiki also has links to further information about password-related issues.","ref":"NotQwerty123.PasswordStrength.html","title":"NotQwerty123.PasswordStrength","type":"module"},{"doc":"Check the strength of the password. It returns {:ok, password} or {:error, message} . The password is checked to make sure that it is not too short, that it does not consist of repeated characters (e.g. 'abcabcabcabc') and that it is not similar to any word in the common password list. See the documentation for NotQwerty123.WordlistManager for information about customizing the common password list. Options There is only one option: :min_length - minimum allowable length of the password default is 8","ref":"NotQwerty123.PasswordStrength.html#strong_password?/2","title":"NotQwerty123.PasswordStrength.strong_password?/2","type":"function"},{"doc":"Module to generate random passwords. Users are often advised to use random passwords for authentication. However, creating truly random passwords is difficult for people to do well and is something that computers are usually better at. This module provides the gen_password function, which generates a random password.","ref":"NotQwerty123.RandomPassword.html","title":"NotQwerty123.RandomPassword","type":"module"},{"doc":"Generate a random password. Options There are two options: :length - length of the password, in characters the default is 8 the minimum length is 6 :characters - the character set - :letters , :letters_digits or :letters_digits_punc the default is :letters_digits , which will use letters and digits in the password :digits will only use digits :letters will use uppercase and lowercase letters :letters_digits_punc will use letters, digits and punctuation characters","ref":"NotQwerty123.RandomPassword.html#gen_password/1","title":"NotQwerty123.RandomPassword.gen_password/1","type":"function"},{"doc":"","ref":"NotQwerty123.Supervisor.html","title":"NotQwerty123.Supervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"NotQwerty123.Supervisor.html#child_spec/1","title":"NotQwerty123.Supervisor.child_spec/1","type":"function"},{"doc":"Callback implementation for Supervisor.init/1 .","ref":"NotQwerty123.Supervisor.html#init/1","title":"NotQwerty123.Supervisor.init/1","type":"function"},{"doc":"","ref":"NotQwerty123.Supervisor.html#start_link/0","title":"NotQwerty123.Supervisor.start_link/0","type":"function"},{"doc":"Module to manage the common password list and handle password checks. The main function that NotQwerty123 performs is to check that the password or a variant of the password (in other words, even with minor changes) is not in the list of common passwords that this WordlistManager stores. By default, this common password list contains one file, which has a list of over 40,000 common passwords in it - this file was collated by zxcvbn , a reputable password strength meter. Other files can be added to this common password list, and there are example files in the priv/data directory (these files are also taken from the zxcvbn repository). In order to make the password strength check even stronger, it is also recommended to add to the list words that are associated with the site you are managing. Managing the common password list The following functions can be used to manage this list: list_wordlists/0 - list the files used to create the wordlist push/1 - add a file to the wordlist pop/1 - remove a file from the wordlist","ref":"NotQwerty123.WordlistManager.html","title":"NotQwerty123.WordlistManager","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"NotQwerty123.WordlistManager.html#child_spec/1","title":"NotQwerty123.WordlistManager.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"NotQwerty123.WordlistManager.html#init/1","title":"NotQwerty123.WordlistManager.init/1","type":"function"},{"doc":"List the files used to create the common password list.","ref":"NotQwerty123.WordlistManager.html#list_files/0","title":"NotQwerty123.WordlistManager.list_files/0","type":"function"},{"doc":"Remove a file from the common password list. path is the file name as it is printed out in the list_files function.","ref":"NotQwerty123.WordlistManager.html#pop/1","title":"NotQwerty123.WordlistManager.pop/1","type":"function"},{"doc":"Add a file to the common password list. path is the pathname of the file, which should contain one password on each line, that you want to include. The file is parsed and the words are added to the common password list. A copy of the file is also copied to the not_qwerty123/priv/wordlists directory. If adding the file results in a timeout error, try splitting the file into smaller files and adding them.","ref":"NotQwerty123.WordlistManager.html#push/1","title":"NotQwerty123.WordlistManager.push/1","type":"function"},{"doc":"Search the wordlist to see if the password is too common. If the password is greater than 24 characters long, this function returns false without performing any checks.","ref":"NotQwerty123.WordlistManager.html#query/2","title":"NotQwerty123.WordlistManager.query/2","type":"function"},{"doc":"","ref":"NotQwerty123.WordlistManager.html#start_link/1","title":"NotQwerty123.WordlistManager.start_link/1","type":"function"},{"doc":"All code in this application, unless otherwise stated, is subject to the following license: Copyright (c) 2015 David Whitlock (alovedalongthe@gmail.com) Some rights reserved. Redistribution and use in source and binary forms of the software as well as documentation, with or without modification, are permitted provided that the following conditions are met: Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution. The names of the contributors may not be used to endorse or promote products derived from this software without specific prior written permission. THIS SOFTWARE AND DOCUMENTATION IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND DOCUMENTATION, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Elixir library to check password strength and generate random passwords. The NotQwerty123.PasswordStrength module provides checks that the password is not too easy to guess. These checks check that the password is long enough and that it is not similar to any common passwords. The NotQwerty123.RandomPassword module generates a random password with letters, digits and punctuation characters.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"Make sure you are using Elixir 1.7 or above. The package can be installed as: Add :not_qwerty123 to your list of dependencies in mix.exs : def deps do [ { :not_qwerty123 , &quot;~&gt; 2.4&quot; } ] end","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"There are many ways you can contribute to the development of this library, including: Reporting issues Improving documentation Sharing your experiences with others","ref":"readme.html#contributing","title":"Overview - Contributing","type":"extras"},{"doc":"Copyright (c) 2017 David Whitlock (alovedalongthe@gmail.com) This software is licensed under the BSD-3-Clause license .","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]